SoDetail(3IV)

NAME
SoDetail — base class for describing detail information about a shape node

INHERITS FROM
SoDetail

SYNOPSIS
#include <Inventor/details/SoDetail.h>

Methods from class SoDetail:

SoDetail *
copy() const
static SoType
getClassTypeId()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
SoDetail is the abstract base class for all detail classes. A detail contains shape-specific information about a particular shape during picking and primitive generation. Subclasses store information based on the particular type of shape.

METHODS
SoDetail *
copy() const
Returns an instance that is a copy of this instance. The caller is responsible for deleting the copy when it is no longer needed.

static SoType
getClassTypeId()
Returns type identifier for this class.

virtual SoType
getTypeId() const
Returns the type identifier for a specific instance.

SbBool
isOfType(SoType type) const
Returns TRUE if this object is of the type specified in type or is derived from that type. Otherwise, it returns FALSE.

SEE ALSO
SoConeDetail, SoCubeDetail, SoCylinderDetail, SoDetailList, SoFaceDetail, SoLineDetail, SoNodeKitDetail, SoPickedPoint, SoPointDetail, SoPrimitiveVertex, SoTextDetail